Bug 98598 - VIEWING: Background image and web layout
Summary: VIEWING: Background image and web layout
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Writer-Web-Layout
  Show dependency treegraph
 
Reported: 2016-03-11 10:12 UTC by Ben
Modified: 2017-10-23 14:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The faulty odt (124.41 KB, application/vnd.oasis.opendocument.text)
2016-03-11 10:12 UTC, Ben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben 2016-03-11 10:12:07 UTC
Created attachment 123492 [details]
The faulty odt

Hello,

while I was creating a document I had a bizarre issue. when I scrolled through it would duplicate everything I could see so that it didn't show up correctly.

I have created a file with the issue, it has something to do with having a background image and using web layout.

My explanation is quite unclear but I don't know how to make it clearer, just check the attachment and scroll through it with this version.

Build ID: 55b006a02d247b5f7215fc6ea0fde844b30035b3
Comment 1 Alex Thurgood 2016-03-11 11:43:03 UTC
No repro

Version: 5.2.0.0.alpha0+
Build ID: cbbeb771ba3df1d87a69d2115234d88f520ce0e6
CPU Threads: 2; OS Version: Mac OS X 10.11.3; UI Render: default; 
Locale: fr-FR (fr.UTF-8)
Comment 2 MM 2016-03-12 14:35:14 UTC
Confirmed with v5.1.1.3 under windows 10 x64.
Confirmed with v4.4.7.2 under mint 17.3 x64.
Unconfirmed with v4.3.7.2 under mint 17.3 x64.

Maybe already fixed with alpha builds ?
Comment 3 raal 2016-03-16 09:58:27 UTC
I can reproduce this on 5.2Master, win7 -  build is 6 days old
Bibisected  - oldest build in repo doesn't show background image [another bug], I marked it as "good". Latest build in repo show the image and when scrolling the bug occurs. During the bibisect doesn't exist step where background is shown and scrolling is without bug.


cd178633a216a0b50c9c188a825f740cf3c09ee2 is the first bad commit
commit cd178633a216a0b50c9c188a825f740cf3c09ee2
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun May 31 16:24:16 2015 -0500

    source sha:65a56636a68451d15499a37c2d5bd9efb71b1279

    source sha:65a56636a68451d15499a37c2d5bd9efb71b1279

author	Michael Stahl <mstahl@redhat.com>	2015-04-14 08:37:01 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2015-04-14 15:29:36 (GMT)
commit	65a56636a68451d15499a37c2d5bd9efb71b1279 (patch)
tree	df5dffc97a9ff34535eb2d0fefd6b02c3d2ea5d4
parent	c31d87b525dd974e018892c98aed4fdb893c3469 (diff)
tdf#88337 tdf#89193: sw: add missing SwXPageStyle properties

Michael, please could you take a look? Not sure if it's related. Thanks
Comment 4 Michael Stahl 2016-04-13 19:55:13 UTC
the commit in comment #3 fixes the bug that background images on headers, footers and pages were lost, so it's entirely unsurprising and unlikely to be the root cause of a scrolling problem.
Comment 5 Xisco Faulí 2016-09-12 12:50:54 UTC
Adding keyword 'bibisectRequest'.
Comment 6 QA Administrators 2017-10-23 14:15:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug